puppet-openstack-beaker-centos-8 keeps failinig in stable/ussuri

Bug #1920659 reported by Takashi Kajinami on 2021-03-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-tacker
Undecided
Unassigned

Bug Description

Currently puppet-openstack-beaker-centos-8 job continuously fails in stable/ussuri.

Example: https://zuul.opendev.org/t/openstack/build/e8638f86cfa24d68aa9992058a23e976

It seems that tacker-server fails to start because of the following error.

"AttributeError: module 'jsonschema' has no attribute 'Draft7Validator'"

The usage of Draft7Validator was added by https://review.opendev.org/c/openstack/tacker/+/707802 and after this Tacker requires jsonschema>=3.0.0 .
However current rdo ussuri provides only jsonschema 2.6.0 thus doesn't meet this requirement.

Revision history for this message
Takashi Kajinami (kajinamit) wrote :

It seems that the current version comes from not RDO Ussuri but from base CentOS8 repository.
Since RDO victoria, python-jsonschema-3.2.0 is provided in RDO repo.

Revision history for this message
Takashi Kajinami (kajinamit) wrote :

I have reported the issue to RDO.
 https://bugzilla.redhat.com/show_bug.cgi?id=1941461

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.